Adds tasks to the specified task list.

POSThttps://api.awork.com/api/v1/projects/{projectId}/tasklists/{taskListId}/addtasks
POST https://api.awork.com/api/v1/projects/{projectId}/tasklists/{taskListId}/addtasks

Adds the submitted tasks to the specified task list and returns their resulting order.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

projectIdstringRequired
format: uuid

The id of the project.

taskListIdstringRequired
format: uuid

The id of the task list.

Request body Required

The task To Task List list.

application/json

taskIdstringRequired
format: uuid

The task id added to the list.

ordernumber or nullOptional
format: double

The order of the task in the list.

Responses

200 OK

application/json

idstringRequired
format: uuid

The id of the list to move the task to or to change the order for.

ordernumber or nullOptional
format: double

The order of the task in the list. If null, the task is moved to the end of the list.

400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation